CAL(1)

NAME
cal, ncal - displays a calendar and the date of easter

SYNOPSIS
cal [-3jmy] [ [month] year]
ncal [-jJpwy] [-s country_code] [ [month] year]
ncal [-Jeo] [year]

DESCRIPTION
The cal utility displays a simple calendar in traditional format and ncal offers an alternative layout, more options and the date of easter. The new format is a little cramped but it makes a year fit on a 25x80 terminal. If arguments are not specified, the current month is displayed.

The options are as follows:

-3  Print the previous month, the current month, and the next month all on one row. This flag will only work if you are not displaying Julian days (see -J below).

-J  Display Julian Calendar, if combined with the -e option, display date of easter according to the Julian Calendar.

-e  Display date of easter (for western churches).

-m  Print a calendar where Monday is the first day of the week, as opposed to Sunday.

-j  Display Julian days (days one-based, numbered from January 1).

-o  Display date of orthodox easter (Greek and Russian Orthodox Churches).

-p  Print the country codes and switching days from Julian to Gregorian Calendar as they are assumed by ncal. The country code as determined from the local environment is marked with an asterisk.

-s country_code
    Assume the switch from Julian to Gregorian Calendar at the date associated with the country_code. If not specified, ncal tries to guess the switch date from the local environment or falls back to September 2, 1752. This was when Great Britain and her colonies switched to the Gregorian Calendar.

-w  Print the number of the week below each week column.

-y  Display a calendar for the current year.

A single parameter specifies the year (1 - 5875706) to be displayed; note the year must be fully specified: “cal 89” will not display a calendar for 1989. Two parameters denote the month and year; the month is either a number between 1 and 12, or a full or abbreviated name as specified by the current locale.

A year starts on Jan 1.

SEE ALSO
calendar(3), strftime(3)

HISTORY
A cal command appeared in v5 UNIX. The ncal command appeared in FreeBSD 2.2.6.

AUTHORS
The ncal command and manual were written by Wolfgang Helbig <helbig@FreeBSD.org>.

BUGS
The assignment of Julian - Gregorian switching dates to country codes is historically naive for many countries.